### Method

# Adw Dialog set_focus

since: 1.5

#### Declaration [src]

    void
    adw_dialog_set_focus (
      AdwDialog* self,
      GtkWidget* focus
    )

#### Description [src]

Sets the focus widget for `self`.

If `focus` is not the current focus widget, and is focusable, sets it as the focus widget for the dialog.

If focus is `NULL`, unsets the focus widget for this dialog. To set the focus to a particular widget in the dialog, it is usually more convenient to use `gtk_widget_grab_focus()` instead of this function.

Available since: 1.5

Sets property | `Adw.Dialog:focus-widget`

#### Parameters

`focus`

  Type: `GtkWidget`

  The focus widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.